import { IEncodeFeature, IModel, IModelUniform } from '@antv/l7-core';
import BaseModel from '../../core/BaseModel';
export declare function TextTriangulation(feature: IEncodeFeature): {
    vertices: number[];
    indices: number[];
    size: number;
};
export default class TextModel extends BaseModel {
    private texture;
    private glyphInfo;
    private currentZoom;
    private extent;
    private textureHeight;
    private preTextStyle;
    private glyphInfoMap;
    getUninforms(): IModelUniform;
    buildModels(): IModel[];
    needUpdate(): boolean;
    protected registerBuiltinAttributes(): void;
    private textExtent;
    /**
     * 生成文字纹理
     */
    private initTextFont;
    /**
     * 生成文字布局
     */
    private generateGlyphLayout;
    /**
     * 文字避让
     */
    private filterGlyphs;
    /**
     * 初始化文字布局
     */
    private initGlyph;
    /**
     * 更新文字纹理
     */
    private updateTexture;
    private rebuildModel;
}
